Bug#664542: update-manager-core: Changelog view fails when '/etc/apt/02proxy' set to apt-cacher-ng server

Dominique Brazziel dbrazziel at snet.net
Sun Mar 18 19:17:12 UTC 2012

Package: update-manager-core
Version: 0.200.5-2
Severity: normal

Dear Maintainer,

    When apt proxy is set to an apt-cacher-ng server, a new
URL handler is built to handle HTTP downloads (see 
'UpdateManager/Frontend/Gtk/utils.py'), which works
for packages, but causes an HTTP error 403 when attempting
to view changelogs:

[   DEBUG:UpdateManager.Frontend.Gtk.ui] Changelog not in cache, need to download (lyx).
[   DEBUG:UpdateManager.DistSpecific.changelog] Fetching changelog entry for ttf-lyx.
[   DEBUG:UpdateManager.DistSpecific.changelog] Getting changelog URL for package <PackageInfo: ttf-lyx>
[   DEBUG:UpdateManager.DistSpecific.Debian.changelog] Downloading changelog for lyx from http://packages.debian.org/changelogs/pool/main/l/lyx/lyx_2.0.3-2/
[   DEBUG:UpdateManager.DistSpecific.changelog] Fetching http://packages.debian.org/changelogs/pool/main/l/lyx/lyx_2.0.3-2/changelog.txt...
[   ERROR:UpdateManager.DistSpecific.changelog] Fetching the changelog entry via HTTP failed: HTTP Error 403: Forbidden file type or location: http://packag

    If the other configuration method for apt-cacher-ng clients is 
used (prefix each mirror reference with 'acng_host:3142/' the 
http_proxy support stuff in update-manager isn't performed and
the changelog views work.

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-2-686-pae (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages update-manager-core depends on:
ii  lsb-release     3.2-28.1
ii  python          2.7.2-10
ii  python-apt      0.8.3+nmu1
ii  python-support  1.0.14

Versions of packages update-manager-core recommends:
ii  update-manager-gnome  0.200.5-2

update-manager-core suggests no packages.

-- no debconf information

More information about the pkg-gnome-maintainers mailing list